Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface InterfaceDefOperations

All Superinterfaces:
  ContainedOperations, ContainerOperations, IDLTypeOperations, IRObjectOperations

All Known Subinterfaces:
  AbstractInterfaceDef, AbstractInterfaceDefOperations, InterfaceDef, LocalInterfaceDef, LocalInterfaceDefOperations

All Known Implementing Classes:
  InterfaceDefPOA

public interface InterfaceDefOperations
extends ContainerOperations, ContainedOperations, IDLTypeOperations

An InterfaceDef object represents an interface definition. It can contain constants, typedefs, exceptions, operations, and attributes.

Method Summary
`InterfaceDef[]` | `base_interfaces()` The base_interfaces attribute lists all the interfaces from which this interface inherits.
`void` | `base_interfaces(InterfaceDef[] value)` The base_interfaces attribute lists all the interfaces from which this interface inherits.
`AttributeDef` | `create_attribute(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, AttributeMode mode)` The create_attribute operation returns a new AttributeDef contained in the InterfaceDef on which it is invoked.
`OperationDef` | `create_operation(java.lang.String id, java.lang.String name, java.lang.String version, IDLType result, OperationMode mode, ParameterDescription[] params, ExceptionDef[] exceptions, java.lang.String[] contexts)` The create_operation operation returns a new OperationDef contained in the InterfaceDef on which it is invoked.
`FullInterfaceDescription` | `describe_interface()` The describe_interface operation returns a FullInterfaceDescription describing the interface, including its operations and attributes.
`boolean` | `is_a(java.lang.String interface_id)` The is_a operation returns TRUE if the interface on which it is invoked either is identical to or inherits, directly or indirectly, from the interface identified by its interface_id parameter.

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Method Detail

### base_interfaces

    public InterfaceDef[] base_interfaces()

  The base_interfaces attribute lists all the interfaces from which this interface inherits.

### base_interfaces

    public void base_interfaces(InterfaceDef[] value)

  The base_interfaces attribute lists all the interfaces from which this interface inherits.

### is_a

    public boolean is_a(java.lang.String interface_id)

  The is_a operation returns TRUE if the interface on which it is invoked either is identical to or inherits, directly or indirectly, from the interface identified by its interface_id parameter. Otherwise it returns FALSE.

### describe_interface

    public FullInterfaceDescription describe_interface()

  The describe_interface operation returns a FullInterfaceDescription describing the interface, including its operations and attributes.

### create_attribute

    public AttributeDef create_attribute(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         IDLType type,
                                         AttributeMode mode)

  The create_attribute operation returns a new AttributeDef contained in the InterfaceDef on which it is invoked.

### create_operation

    public OperationDef create_operation(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         IDLType result,
                                         OperationMode mode,
                                         ParameterDescription[] params,
                                         ExceptionDef[] exceptions,
                                         java.lang.String[] contexts)

  The create_operation operation returns a new OperationDef contained in the InterfaceDef on which it is invoked.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD